<!-- carousel-->
<header class="carousel espacamento_devise">
  <div class="container px-4 px-lg-5 h-100">
    <div class="row gx-4 gx-lg-5 h-100 align-items-center justify-content-center text-center">
      <div class="col-lg-8 align-self-end">
        <% if notice %>
          <p class="alert alert-success"><%= notice %></p>
        <% end %>
        <% if alert %>
          <p class="alert alert-danger"><%= alert %></p>
        <% end %>
        <i class="fab fa-bootstrap fa-3x"></i>
        <h1 class="font-weight-bold">Cadastro</h1>
      </div>
      <div class="col-lg-8 align-self-baseline ">
        <main class="form-signin">
          <%= form_for(resource, as: resource_name, url: registration_path(resource_name)) do |f| %>
            <%= render "devise/shared/error_messages", resource: resource %>
            <div class="form-floating">
              <%= f.email_field :email, autofocus: true, autocomplete: "email", class:"form-control", placeholder:"Informe seu e-mail" %>
              <%= f.label :email, "E-mail:"%>
            </div>  
            <br />
            <% if @minimum_password_length %>
                <small class="form-text text-muted">
                  <em>Senha de no mínimo (<%= @minimum_password_length %> caracteres)</em>
                </small>
              <% end %>
            <div class="form-floating">
              <%= f.password_field :password, autocomplete: "new-password", class:"form-control", placeholder:"Informe sua senha"  %>
              <%= f.label :password, "Senha:" %>
            </div>
            <br />
            <% if @minimum_password_length %>
              <small class="form-text text-muted">
                <em>Confirmação da senha de no mínimo (<%= @minimum_password_length %> caracteres)</em>
              </small>
            <% end %>
            <div class="form-floating">
              <%= f.password_field :password_confirmation, autocomplete: "new-password", class:"form-control", placeholder:"Informe sua senha"  %>
              <%= f.label :password_confirmation, "Confirmação da senha:" %><br />
            </div>
            <br />
            <div class="actions">
              <%= f.submit "Cadastrar", class: "w-100 btn btn-lg btn-primary" %>
            </div>
          <% end %>
        </main>
      </div>
    </div>
  </div>
</header>
